Page MenuHomePhabricator

Prepare and check storage layer for dinwiki
Closed, ResolvedPublic

Description

The new wiki should be public.

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 29 2017, 10:08 AM
Marostegui added a subscriber: Marostegui.

As the database isn't created in production yet, please let us know when it is done, so we can sanitize it on sanitarium hosts and labs. And create the views.

root@db1075[(none)]> use dinwiki
ERROR 1049 (42000): Unknown database 'dinwiki'
Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.Jun 30 2017, 12:35 PM
root@neodymium:/home/marostegui# mysql --skip-ssl -hdb1075 dinwiki -e "show tables;" | wc -l
78

Is this all done in production and we should go ahead and sanitize it for labs hosts?

root@neodymium:/home/marostegui# mysql --skip-ssl -hdb1075 dinwiki -e "show tables;" | wc -l
78

Is this all done in production and we should go ahead and sanitize it for labs hosts?

Yes, wiki is live, see https://din.wikipedia.org/wiki/Apam_k%C3%ABd%C3%AFt.

ok - I will go ahead then

Mentioned in SAL (#wikimedia-operations) [2017-07-12T14:07:00Z] <marostegui> Run redact_sanitarium on db1069 for dinwiki - T169193

I have sanitized sanitarium and sanitarium2 - but before creating the views I am running a check_private_data to make sure everything has been sanitized.

This comment was removed by Dereckson.

The sanitization was done correctly and no private data was reported, so I have created the views on labsdb1001 and labsdb1003.
The new labs hosts have replication delayed as they are importing data, so I will create them there once they catch up.
Once it is done there I will close this task.

Mentioned in SAL (#wikimedia-operations) [2017-07-14T06:59:24Z] <marostegui> Create views for dinwiki on labsdb1009, 1010 and 1011 - T169193

Marostegui closed this task as Resolved.Jul 14 2017, 7:00 AM

After another run of the check_private_data on those hosts and sanitarium2, as everything was fine I have created the views on those hosts too so this is all done.